
#include "globals.h"


#include <stdlib.h>
#include <unistd.h>
#include <string.h>
#include <stdio.h>

#ifndef HOST_NAME_MAX
#define HOST_NAME_MAX 255
#endif

static char *_hostname = NULL;

const char *get_system_name()
{
  if (!_hostname)
    {
      _hostname = (char *)malloc((HOST_NAME_MAX+1) * sizeof(char));
      if(!_hostname)
        {
          fprintf(stderr, "%s:%d: Unable to allocate memory\n",
            __FILE__, __LINE__);
        }
      else if (gethostname(_hostname, HOST_NAME_MAX) == -1)
        {
          fprintf(stderr, "%s:%d: Unable to get host name\n",
            __FILE__, __LINE__);
          free(_hostname);
          _hostname = NULL;
        }
    }
    return _hostname;
}
